$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.10-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.10-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'AD7ED4AFA592AC9C885C51E7248ED6E6776859DE37FEF9A39038E094DE6325BF'
  checksumType = 'sha256'
  checksum64 = 'AD7ED4AFA592AC9C885C51E7248ED6E6776859DE37FEF9A39038E094DE6325BF'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.25.10-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
